<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<artifactId>cms-plugin-framework</artifactId>
	<version>1.0.4</version>

	<parent>
		<groupId>org.gcube.application.cms</groupId>
		<artifactId>gcube-cms-suite</artifactId>
		<version>[1.0.0, 2.0.0-SNAPSHOT)</version>
	</parent>


	<properties>
		<gitBaseUrl>https://code-repo.d4science.org/gCubeSystem</gitBaseUrl>
		<sis.version>1.0</sis.version>
	</properties>



	<scm>
		<connection>scm:git:${gitBaseUrl}/gcube-cms-suite</connection>
		<developerConnection>scm:git:${gitBaseUrl}/gcube-cms-suite</developerConnection>
		<url>${gitBaseUrl}/gcube-cms-suite</url>
	</scm>


	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.gcube.distribution</groupId>
				<artifactId>gcube-smartgears-bom</artifactId>
				<version>${gcube-smartgears-bom-version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>

			<!-- TO REMOVE WHEN LEGACY SUPPORT IS REMOVED -->
			<!-- DEPRECATED LEGACY LOGIC SUPPORT -->

			<!-- POSTGRES DRIVERS -->
			<dependency>
				<groupId>net.postgis</groupId>
				<artifactId>postgis-jdbc</artifactId>
				<version>2.5.0</version>
			</dependency>

			<!-- SDI -->
			<dependency>
				<groupId>org.gcube.spatial.data</groupId>
				<artifactId>gis-interface</artifactId>
				<version>[2.4.6,3.0.0-SNAPSHOT)</version>
			</dependency>


			<!-- DT -->
			<dependency>
				<groupId>org.gcube.data.transfer</groupId>
				<artifactId>data-transfer-library</artifactId>
				<version>[1.2.1,2.0.0-SNAPSHOT)</version>
			</dependency>

		</dependencies>
	</dependencyManagement>

	<dependencies>

		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>authorization-utils</artifactId>
			<version>[2.0.0, 3.0.0-SNAPSHOT)</version>
		</dependency>

		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>geoportal-common</artifactId>
		</dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.datatype</groupId>
			<artifactId>jackson-datatype-jsr310</artifactId>
		</dependency>

		<!-- Storage HUB -->
		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>storagehub-client-library</artifactId>
		</dependency>


		<!-- https://mvnrepository.com/artifact/de.grundid.opendatalab/geojson-jackson -->
		<dependency>
			<groupId>de.grundid.opendatalab</groupId>
			<artifactId>geojson-jackson</artifactId>
			<version>1.14</version>
		</dependency>

		<!-- Common - basic -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
		</dependency>

		<dependency>
			<groupId>org.reflections</groupId>
			<artifactId>reflections</artifactId>
		</dependency>

		<dependency>
			<groupId>javax.xml.bind</groupId>
			<artifactId>jaxb-api</artifactId>
			<!-- <version>2.3.0</version> -->
		</dependency>

	</dependencies>

</project>